//
//  ECImageSourceItem.m
//  SceneRenderProto
//
//  Created by 二鏡 on 11/11/15.
//  Copyright (c) 2011年 二鏡庵. All rights reserved.
//

#import "ECImageSourceItem.h"


@implementation ECImageSourceItem
@synthesize isFolder;
@dynamic path;

- (id)imageRepresentation
{
    return [self primitiveValueForKey: @"path"];
}

- (NSString*)imageRepresentationType
{
    return IKImageBrowserPathRepresentationType;
}

- (NSString*)imageUID
{
    return [self primitiveValueForKey: @"path"];
}

- (NSString*)imageTitle
{    
    return [[[self primitiveValueForKey: @"path"] lastPathComponent] stringByDeletingPathExtension];
}
@end
